wmsetbg(1x)

NAME
wmsetbg - sets the background on the X11 display

SYNOPSIS
wmsetbg [-display] [--version] [--help] [{-b|--back-color} color] [{-t|--tile}|{-e|--center}|{-s|--scale}|{-a|--maxscale} image] [{-d|--dither}|{-m|--match}] [-u|--update-wmaker] [{-D|--update-domain} domain] [{-c|--colors} cpc] [{-p|--parse} texture] [{-w|--workspace} workspace]

DESCRIPTION
wmsetbg reads the specified image (XPM, PNG, jpeg, Tiff, raw PPM) and puts it on the root window. It can either scale the image or tile it to make it fit the root window. Window Maker uses this command internally to set the root window image on start up.

OPTIONS

-a|--maxscale
    scales the specified image preserving its aspect ratio

-b|--back-color
    the specified color is used as the background color for the texture. Window Maker temporarely sets the background to this color while loading and processing the texture. You can specify colors using their X11 names or as an RGB tiplet (either as "rgb:RR/GG/BB" or "#RRGGBB") (reference to appropiate manpage should be here). In the later case color is a quoted string.

-e|--center
    centers the specified image

-t|--tile
    tiles the specified image

-s|--scale
    scales the specified image (default)

-d|--dither
    dithers colors

-m|--match
    matches colors

-u|--update-wmaker
    updates the Window Maker defaults database

-D|--update-domain
    updates the specifed domain database

-c|--colors
    colors per channel to use

-p|--parse
    parses the specified texture as a proplist style texture

-w|--workspace
    update background only for the specified workspace

--help
    print a help message

--version
    print version number

SEE ALSO
wmaker(1x)

AUTHOR
This man page was written by Marcelo Magallon <mmagallo@debian.org>.

Window Maker was written by Alfredo K. Kojima <kojima@windowmaker.org>. wmsetbg was written by Dan Pascu <dan@windowmaker.org>